#include<bits/stdc++.h>

using namespace std;

int N,Niz2[1000000],Niz1[1000000],k;

bool cmp(int a, int b)
{
    return Niz2[a] < Niz2[b];
}

int main()
{
    cin>>N;

    for(int i=1; i<=N; i++)
    {
        cin>>Niz1[i];
        Niz2[i]=Niz1[i];
    }
        sort(Niz2+1,Niz2+1+N,cmp);
        int i;
        for(i=1; i<=N; i++)
        {
            if(Niz1[i]<Niz2[i])break;
        }
        if(i-1==N)swap(Niz1[N],Niz1[N-1]);
        else
        {
            while(Niz1[k]!=Niz2[i])k++;
            swap(Niz1[k],Niz1[i]);
        }
        for(int i=1; i<=N; i++)cout<<Niz1[i]<<" ";

    return 0;
}